# Interface BimIfcPropertiesResponse

interface BimIfcPropertiesResponse {
products: DeepImmutable<Lookup<number[]>>;
propertyNames: string[];
propertySetNames: string[];
propertySets: DeepImmutableObject<
{ h: string; n: number[]; s: number; u?: number[]; v: number[] },
>[];
propertyUnits?: BimPropertyUnit[];
propertyValues: (string | number | boolean)[];
types: DeepImmutable<Lookup<number[]>>;
}

##### Index

### Properties

products
propertyNames
propertySetNames
propertySets
propertyUnits?
propertyValues
types

## Properties

### `Readonly` products

products: DeepImmutable<Lookup<number[]>>

### `Readonly` propertyNames

propertyNames: string[]

### `Readonly` propertySetNames

propertySetNames: string[]

### `Readonly` propertySets

propertySets: DeepImmutableObject<
{ h: string; n: number[]; s: number; u?: number[]; v: number[] },
>[]

### `Optional` `Readonly` propertyUnits

propertyUnits?: BimPropertyUnit[]

### `Readonly` propertyValues

propertyValues: (string | number | boolean)[]

### `Readonly` types

types: DeepImmutable<Lookup<number[]>>